Skip to navigation

List

Lists a cargo-on-flight booking’s searches with their results. | authz_personas=[task_group_coordinator_operators] | () -> (CargoOnFlightBookingSearchListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

cargo_on_flight_booking_idstringRequired
The booking whose searches are listed.
filter_created_at_timestamp_gtedatetimeOptional

Filter created_at_timestamp >= value.

filter_created_at_timestamp_ltedatetimeOptional

Filter created_at_timestamp <= value.

sort_by"created_at_timestamp"Optional
Field to sort by.
sort_orderenumOptional
Sort order.
Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Cargo on Flight Booking Searches List V1request Unprocessable Entity Error